function [u_x_0_dD_tt,r_i]=initial_condition_dD_tt(d,x,ex)
% u_x_0_dD_tt, initial condition in TT format, d dimensional case
% r_i, TT rank of initial condition

% d dimension
% x spatial coordinates (M-by-1)
% ex example chosen

r_i=ones(1,d+1);
switch ex
  
    case 3
        r=3;
        mg=0.5;
        x=permute(x,[3,2,1]);
        u_x_0_dD_tt=cell(1,d);
        u_x_0_dD_tt{1}=mg*[sin(pi*x),sin(pi*x).^2,x.*(1-x)];
        for k=2:d-1
            u_x_0_dD_tt{k}=mg*[sin(pi*x),sin(pi*x).^2,x.*(1-x);x.*(1-x),sin(pi*x),sin(pi*x).^2;sin(pi*x).^2,x.*(1-x),sin(pi*x)];
        end
        u_x_0_dD_tt{d}=mg*[sin(pi*x);x.*(1-x);sin(pi*x).^2];
        u_x_0_dD_tt{d+1}=mg;
        r_i=r*r_i;r_i(d)=1;r_i(d+1)=1;
end