function u_x_t_3d=exact_solution_3D_mtx(x,t,xita,ex)
% u_x_t_3d, exact solution in matrix format, 3 dimensional case

% x spatial coordinates (M-by-1)
% t time coordinates (N-by-1)
% xita  order of time fractional derivative
% ex example chosen

switch ex
    case 1

        u_x=( x.*(2-x) ).^2; %x 1D
        u_x_d3(1,1,:)=u_x;
        u_mtx=u_x*u_x.'; % xy 2D
        u_d3=bsxfun(@times,u_mtx,u_x_d3); %xyz 3D
        
u_t(1,1,1,:)=t.^(2+xita);
u_x_t_3d=bsxfun(@times,u_d3,u_t); % 4D


end



